<?php

function getJoueursPartie(int $idpartie)
{
	return get_infos_requete("SELECT * FROM joue JOIN joueur J USING(idjoueur) WHERE joue.idpartie = " . $idpartie . " ORDER BY rang")['instances'];
}

function getJoueursPosition(int $idpartie, int $tour, int $pos)
{
	return get_infos_requete("SELECT idjoueur FROM est_en_position WHERE idpartie = "
		. $idpartie . " AND position = " . $pos . " AND num_tour = " . $tour)['instances'];
}

function partie_est_a_venir(int $idpartie) {
	return !empty(get_infos_requete("SELECT idpartie FROM partie WHERE idpartie = " . 
		$idpartie . " AND etat = 'a venir'")['instances']);
}

function get_parties_tour(int $idpartie): int {
	$tour = get_infos_requete("SELECT * FROM tour WHERE idpartie = "
	. $idpartie . " ORDER BY num_tour DESC LIMIT 1")['instances'];

	if (empty($tour)){
		return 0;
	}

	return $tour[0]['num_tour'];
}

function getCards(int $idpartie)
{
	return get_infos_requete("SELECT img, idcarte FROM carte JOIN est_compose USING(idcarte) JOIN partie USING(idplateau) WHERE idpartie = " . $idpartie . " ORDER BY rang")['instances'];
}

function get_parties_id()
{
	$parties = get_infos_requete("SELECT idpartie FROM partie WHERE etat = 'a venir'")['instances'];

	$ids = array();
	foreach ($parties as $partie) {
		array_push($ids, $partie['idpartie']);
	}

	return $ids;
}

function lancer_partie(int $idpartie) {
	executer_une_requete("UPDATE partie SET etat = 'en cours' WHERE idpartie = " . $idpartie);
}

?>